import { AfterViewInit, ElementRef, EventEmitter, Injector, OnChanges, OnInit, SimpleChange } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { MatInput } from '@angular/material/input';
import { OFormControl } from '../o-form-control.class';
import { OFormServiceComponent } from '../o-form-service-component.class';
import { OListPickerCustomRenderer } from './listpicker-renderer/o-list-picker-renderer.class';
import { OListPickerDialogComponent } from './o-list-picker-dialog.component';
import * as i0 from "@angular/core";
export declare const DEFAULT_INPUTS_O_LIST_PICKER: string[];
export declare const DEFAULT_OUTPUTS_O_LIST_PICKER: string[];
export declare class OListPickerComponent extends OFormServiceComponent implements AfterViewInit, OnChanges, OnInit {
    onDialogAccept: EventEmitter<any>;
    onDialogCancel: EventEmitter<any>;
    stateCtrl: FormControl;
    textInputEnabled: boolean;
    dialogDisableClose: boolean;
    protected filter: boolean;
    protected dialogWidth: string;
    protected dialogHeight: string;
    protected dialogClass: string;
    protected queryRows: number;
    renderer: OListPickerCustomRenderer;
    protected matDialog: MatDialog;
    protected dialogRef: MatDialogRef<OListPickerDialogComponent>;
    protected inputModel: MatInput;
    protected visibleInput: ElementRef;
    protected visibleInputValue: any;
    protected blurTimer: any;
    protected blurDelay: number;
    protected blurPrevent: boolean;
    constructor(elRef: ElementRef, injector: Injector);
    ngOnInit(): void;
    ngOnChanges(changes: {
        [propName: string]: SimpleChange;
    }): void;
    createFormControl(cfg?: any, validators?: any): OFormControl;
    ensureOFormValue(value: any): void;
    setEnabled(value: boolean): void;
    ngAfterViewInit(): void;
    getDescriptionValue(): string;
    onClickClear(e: Event): void;
    onClickInput(e: Event): void;
    onClickListpicker(e: Event): void;
    onDialogClose(evt: any): void;
    innerOnBlur(evt: any): void;
    onVisibleInputChange(event: any): void;
    onKeydownEnter(val: any): void;
    protected openDialog(): void;
    protected getDialogDataArray(dataArray: any[]): any[];
    protected getVisibleColumnText(item: any): string;
    registerRenderer(renderer: any): void;
    protected setStateCtrlValue(): void;
    syncDataIndex(queryIfNotFound?: boolean): void;
    selectValue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OListPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OListPickerComponent, "o-list-picker", never, { "filter": { "alias": "filter"; "required": false; }; "dialogWidth": { "alias": "dialog-width"; "required": false; }; "dialogHeight": { "alias": "dialog-height"; "required": false; }; "queryRows": { "alias": "query-rows"; "required": false; }; "textInputEnabled": { "alias": "text-input-enabled"; "required": false; }; "dialogDisableClose": { "alias": "dialog-disable-close"; "required": false; }; "dialogClass": { "alias": "dialog-class"; "required": false; }; }, { "onDialogAccept": "onDialogAccept"; "onDialogCancel": "onDialogCancel"; }, never, never, true, never>;
}
